python-docker_3.4.1-4_all.deb


Advertisement

Description

python-docker - Python wrapper to access docker.io's control socket

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename python-docker_3.4.1-4_all.deb
Package name python-docker
Package version 3.4.1
Package release 4
Package architecture all
Package type deb
Category universe/python
Homepage https://github.com/docker/docker-py
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 75.13 KB
Installed size 461.00 KB
This package contains oodles of routines that aid in controlling
docker.io over it's socket control, the same way the docker.io
client controls the daemon.
This package provides Python 2 module bindings only.

Alternatives

Package Version Architecture Repository
python-docker_3.4.1-4_all.deb 3.4.1 all Ubuntu Universe
python-docker - - -

Requires

Name Value
python-backports.ssl-match-hostname >= 3.5
python-dockerpycreds -
python-ipaddress >= 1.0.16
python-requests -
python-six >= 1.4.0
python-websocket -
python:any >= 2.7~
python:any << 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-docker_3.4.1-4_all.deb
Source Package python-docker

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-docker deb package:
    # sudo apt-get install python-docker

Files

Path
/usr/lib/python2.7/dist-packages/docker/__init__.py
/usr/lib/python2.7/dist-packages/docker/auth.py
/usr/lib/python2.7/dist-packages/docker/client.py
/usr/lib/python2.7/dist-packages/docker/constants.py
/usr/lib/python2.7/dist-packages/docker/errors.py
/usr/lib/python2.7/dist-packages/docker/tls.py
/usr/lib/python2.7/dist-packages/docker/version.py
/usr/lib/python2.7/dist-packages/docker-3.4.1.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/docker-3.4.1.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/docker-3.4.1.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/docker-3.4.1.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/docker-3.4.1.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/docker/api/__init__.py
/usr/lib/python2.7/dist-packages/docker/api/build.py
/usr/lib/python2.7/dist-packages/docker/api/client.py
/usr/lib/python2.7/dist-packages/docker/api/config.py
/usr/lib/python2.7/dist-packages/docker/api/container.py
/usr/lib/python2.7/dist-packages/docker/api/daemon.py
/usr/lib/python2.7/dist-packages/docker/api/exec_api.py
/usr/lib/python2.7/dist-packages/docker/api/image.py
/usr/lib/python2.7/dist-packages/docker/api/network.py
/usr/lib/python2.7/dist-packages/docker/api/plugin.py
/usr/lib/python2.7/dist-packages/docker/api/secret.py
/usr/lib/python2.7/dist-packages/docker/api/service.py
/usr/lib/python2.7/dist-packages/docker/api/swarm.py
/usr/lib/python2.7/dist-packages/docker/api/volume.py
/usr/lib/python2.7/dist-packages/docker/models/__init__.py
/usr/lib/python2.7/dist-packages/docker/models/configs.py
/usr/lib/python2.7/dist-packages/docker/models/containers.py
/usr/lib/python2.7/dist-packages/docker/models/images.py
/usr/lib/python2.7/dist-packages/docker/models/networks.py
/usr/lib/python2.7/dist-packages/docker/models/nodes.py
/usr/lib/python2.7/dist-packages/docker/models/plugins.py
/usr/lib/python2.7/dist-packages/docker/models/resource.py
/usr/lib/python2.7/dist-packages/docker/models/secrets.py
/usr/lib/python2.7/dist-packages/docker/models/services.py
/usr/lib/python2.7/dist-packages/docker/models/swarm.py
/usr/lib/python2.7/dist-packages/docker/models/volumes.py
/usr/lib/python2.7/dist-packages/docker/transport/__init__.py
/usr/lib/python2.7/dist-packages/docker/transport/npipeconn.py
/usr/lib/python2.7/dist-packages/docker/transport/npipesocket.py
/usr/lib/python2.7/dist-packages/docker/transport/ssladapter.py
/usr/lib/python2.7/dist-packages/docker/transport/unixconn.py
/usr/lib/python2.7/dist-packages/docker/types/__init__.py
/usr/lib/python2.7/dist-packages/docker/types/base.py
/usr/lib/python2.7/dist-packages/docker/types/containers.py
/usr/lib/python2.7/dist-packages/docker/types/daemon.py
/usr/lib/python2.7/dist-packages/docker/types/healthcheck.py
/usr/lib/python2.7/dist-packages/docker/types/networks.py
/usr/lib/python2.7/dist-packages/docker/types/services.py
/usr/lib/python2.7/dist-packages/docker/types/swarm.py
/usr/lib/python2.7/dist-packages/docker/utils/__init__.py
/usr/lib/python2.7/dist-packages/docker/utils/build.py
/usr/lib/python2.7/dist-packages/docker/utils/config.py
/usr/lib/python2.7/dist-packages/docker/utils/decorators.py
/usr/lib/python2.7/dist-packages/docker/utils/fnmatch.py
/usr/lib/python2.7/dist-packages/docker/utils/json_stream.py
/usr/lib/python2.7/dist-packages/docker/utils/ports.py
/usr/lib/python2.7/dist-packages/docker/utils/socket.py
/usr/lib/python2.7/dist-packages/docker/utils/utils.py
/usr/share/doc/python-docker/changelog.Debian.gz
/usr/share/doc/python-docker/copyright

Changelog

2019-01-10 - Felipe Sateler <fsateler@debian.org>
python-docker (3.4.1-4) unstable; urgency=medium
* Revert "Drop dependency on ssl-match-hostname backport"
Turns out the python2 backport is not full enough as it does not
include the full functionality of py3.5 match_hostname.
Reopens: #909974
Closes: #918154
2018-10-10 - Felipe Sateler <fsateler@debian.org>
python-docker (3.4.1-3) unstable; urgency=medium
* Also drop the ssl-match-hostname Build-Depends
2018-10-02 - Felipe Sateler <fsateler@debian.org>
python-docker (3.4.1-2) unstable; urgency=medium
* Drop dependency on ssl-match-hostname backport.
The debian package for python has the backport built in. See #86989.
(Closes: #909972)
* Shorten changelog line
* Bump Standards-Version and drop X-Python-Version.
The latter is no longer needed
* Upload to unstable
2018-09-05 - Felipe Sateler <fsateler@debian.org>
python-docker (3.4.1-1) experimental; urgency=medium
[ Felipe Sateler ]
* Set team address as Maintainer
* Release to experimental
[ Alexander Gerasiov ]
* New upstream version 3.4.1
* d/patches refreshed.
requirements.patch updated to newer versions in upstream file.
Do-not-require-pip-for-building.patch removed (upstream removed this code
itself).
2018-04-17 - Felipe Sateler <fsateler@debian.org>
python-docker (3.2.1-1) experimental; urgency=medium
[ Jason Pleau ]
* New upstream release
* Update Vcs-* fields to point to salsa.d.o
* Refresh requirements.patch
* Update Standards-Version to 4.1.3, no changes needed
* Add Breaks for docker-compose << 1.21
[ Felipe Sateler ]
* Upload to experimental, to shake out possibly incompatible reverse
dependencies.
2017-11-05 - Felipe Sateler <fsateler@debian.org>
python-docker (2.5.1-1) unstable; urgency=medium
* New upstream version 2.5.1
- Refresh patches
* Pick dependencies from setup.py instead of requirements.txt.
Setup.py is the real thing, plus upstream added deps of deps to requirements.txt
* Use https for the watch file
2017-11-04 - Felipe Sateler <fsateler@debian.org>
python-docker (2.4.2-2) unstable; urgency=medium
[ Thomas Goirand ]
* Add Breaks: python-magnum (<< 5.0.0), python-senlin (<< 2.0.0).
[ Felipe Sateler ]
* Add Breaks for docker-compose << 1.10. (Closes: #870003)
* Bump Standards Version
* Release to unstable (Closes: #850741)
2017-07-16 - Felipe Sateler <fsateler@debian.org>
python-docker (2.4.2-1) experimental; urgency=medium
[ Jason Pleau ]
* New upstream release
* Refresh requirements patch
* Update dependencies for new upstream version
* Add myself to debian/copyright
[ Felipe Sateler ]
* Do not require pip for building.
It is only used to check for docker-py existece,
but that doesn't matter in the context of a debian build
* Bump standards-version to 4.0.0
* Sync dependency versions in python3 and python versions
* Bump debhelper compat to 10
2016-10-14 - Felipe Sateler <fsateler@debian.org>
python-docker (1.9.0-1) unstable; urgency=medium
[ Ondřej Nový ]
* New upstream release (Closes: #830172)
* Dropped
d/p/0002-Lower-Docker-API-version-to-1.20-for-Docker-1.8.3-co.patch
(Not needed anymore)
* Bump required version of python3-websocket to 0.32.0
* Standards-Version is 3.9.8 now (no change)
* Fixed typo in description
[ Andreas Henriksson ]
* autopkgtest: fix running of integration test
[ Felipe Sateler ]
* Take over the package from the DPMT. Thanks for all the work!
- Update Vcs urls
* Switch to git-buildpackage for vcs
* python2: add ssl_match_hostname and ipaddress dependencies
* Restrict python3 package to python 3.5
2016-03-23 - Ondřej Nový <novy@ondrej.org>
python-docker (1.7.2-1) unstable; urgency=medium
* Team upload.
* New upstream release (Closes: #816622).
* Standards-Version is 3.9.7 now (no change).
* Changed Vcs-Git URL to https.
* Added myself to d/copyright.
* Lower Docker API version to 1.20 for Docker 1.8.3 compatibility

See Also

Package Description
python-dockerpty_0.4.1-1_all.deb Pseudo-tty handler for docker Python client (Python 2.x)
python-dockerpycreds_0.3.0-1_all.deb Python bindings for the docker credentials store API
python-docopt_0.6.2-2_all.deb command-line interface description language
python-dogpile.core_0.6.2-6_all.deb transitional dummy package for python-dogpile.core
python-dogtail_0.9.9-2_all.deb GUI test tool and automation framework
python-doit-doc_0.31.1-2_all.deb Automation tool for executing any kind of task in a build-tools fashion - doc
python-dolfin_2018.1.0.post1-16_all.deb Python interface for DOLFIN
python-dominate_2.3.1-1_all.deb Python 2 library for creating and manipulating HTML documents
python-doubleratchet_0.6.0-1_all.deb Python 2 implementation of the Double Ratchet algorithm
python-doublex_1.8.2-1build1_all.deb test doubles framework for Python 2
python-dpkt_1.9.2-1_all.deb Python 2 packet creation / parsing module for basic TCP/IP protocols
python-dpm_1.10.0-2build3_amd64.deb Disk Pool Manager (DPM) python2 bindings
python-dracclient-doc_1.3.1-1_all.deb Library for managing machines with Dell iDRAC cards - doc
python-dracclient_1.3.1-1_all.deb library for managing machines with Dell iDRAC cards - Python 2.7
python-drizzle-doc_1.12-2_all.deb Dithered image combination for Python (API documentation)
Advertisement
Advertisement